> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Manage Google Pay™ (API)

> Learn about managing Google Pay and payment method domains via the Payabli API

You can manage Google Pay payment method domains and settings via the Payabli APIs.

## Domain management

### Add a domain

Send a POST request to [/api/PaymentMethodDomain](/developers/api-reference/paymentmethoddomain/paymentmethoddomain-add) to add more domains to an organization.

### Request

POST [https://api-sandbox.payabli.com/api/PaymentMethodDomain](https://api-sandbox.payabli.com/api/PaymentMethodDomain)

```curl
curl -X POST https://api-sandbox.payabli.com/api/PaymentMethodDomain \
     -H "requestToken: <apiKey>" \
     -H "Content-Type: application/json" \
     -d '{
  "applePay": {
    "isEnabled": true
  },
  "googlePay": {
    "isEnabled": true
  },
  "domainName": "checkout.example.com",
  "entityId": 109,
  "entityType": "paypoint"
}'
```

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.paymentMethodDomain.addPaymentMethodDomain({
        applePay: {
            isEnabled: true,
        },
        googlePay: {
            isEnabled: true,
        },
        domainName: "checkout.example.com",
        entityId: 109,
        entityType: "paypoint",
    });
}
main();

```

```python
from payabli import payabli, AddPaymentMethodDomainRequestApplePay, AddPaymentMethodDomainRequestGooglePay

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.payment_method_domain.add_payment_method_domain(
    apple_pay=AddPaymentMethodDomainRequestApplePay(
        is_enabled=True,
    ),
    google_pay=AddPaymentMethodDomainRequestGooglePay(
        is_enabled=True,
    ),
    domain_name="checkout.example.com",
    entity_id=109,
    entity_type="paypoint",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.paymentmethoddomain.requests.AddPaymentMethodDomainRequest;
import io.github.payabli.api.types.AddPaymentMethodDomainRequestApplePay;
import io.github.payabli.api.types.AddPaymentMethodDomainRequestGooglePay;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.paymentMethodDomain().addPaymentMethodDomain(
            AddPaymentMethodDomainRequest
                .builder()
                .applePay(
                    AddPaymentMethodDomainRequestApplePay
                        .builder()
                        .isEnabled(true)
                        .build()
                )
                .googlePay(
                    AddPaymentMethodDomainRequestGooglePay
                        .builder()
                        .isEnabled(true)
                        .build()
                )
                .domainName("checkout.example.com")
                .entityId(109L)
                .entityType("paypoint")
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.payment_method_domain.add_payment_method_domain(
  apple_pay: {
    is_enabled: true
  },
  google_pay: {
    is_enabled: true
  },
  domain_name: "checkout.example.com",
  entity_id: 109,
  entity_type: "paypoint"
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.PaymentMethodDomain.AddPaymentMethodDomainAsync(
            new AddPaymentMethodDomainRequest {
                ApplePay = new AddPaymentMethodDomainRequestApplePay {
                    IsEnabled = true
                },
                GooglePay = new AddPaymentMethodDomainRequestGooglePay {
                    IsEnabled = true
                },
                DomainName = "checkout.example.com",
                EntityId = 109L,
                EntityType = "paypoint"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.AddPaymentMethodDomainRequest{
        ApplePay: &payabli.AddPaymentMethodDomainRequestApplePay{
            IsEnabled: payabli.Bool(
                true,
            ),
        },
        GooglePay: &payabli.AddPaymentMethodDomainRequestGooglePay{
            IsEnabled: payabli.Bool(
                true,
            ),
        },
        DomainName: payabli.String(
            "checkout.example.com",
        ),
        EntityId: payabli.Int64(
            int64(109),
        ),
        EntityType: payabli.String(
            "paypoint",
        ),
    }
    client.PaymentMethodDomain.AddPaymentMethodDomain(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\PaymentMethodDomain\Requests\AddPaymentMethodDomainRequest;
use Payabli\Types\AddPaymentMethodDomainRequestApplePay;
use Payabli\Types\AddPaymentMethodDomainRequestGooglePay;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->paymentMethodDomain->addPaymentMethodDomain(
    new AddPaymentMethodDomainRequest([
        'applePay' => new AddPaymentMethodDomainRequestApplePay([
            'isEnabled' => true,
        ]),
        'googlePay' => new AddPaymentMethodDomainRequestGooglePay([
            'isEnabled' => true,
        ]),
        'domainName' => 'checkout.example.com',
        'entityId' => 109,
        'entityType' => 'paypoint',
    ]),
);

```

```swift
import Foundation

let headers = [
  "requestToken": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "applePay": ["isEnabled": true],
  "googlePay": ["isEnabled": true],
  "domainName": "checkout.example.com",
  "entityId": 109,
  "entityType": "paypoint"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/PaymentMethodDomain")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Cascade domain

Send a POST request to [/api/PaymentMethodDomain/\{domainId}/cascade](/developers/api-reference/paymentmethoddomain/paymentmethoddomain-cascade) to cascade the domain to all of the organization's children (both suborganizations and paypoints).

### Request

POST [https://api-sandbox.payabli.com/api/PaymentMethodDomain/\{domainId}/cascade](https://api-sandbox.payabli.com/api/PaymentMethodDomain/\{domainId}/cascade)

```curl
curl -X POST https://api-sandbox.payabli.com/api/PaymentMethodDomain/pmd_b8237fa45c964d8a9ef27160cd42b8c5/cascade \
     -H "requestToken: <apiKey>"
```

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.paymentMethodDomain.cascadePaymentMethodDomain("pmd_b8237fa45c964d8a9ef27160cd42b8c5");
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.payment_method_domain.cascade_payment_method_domain(
    domain_id="pmd_b8237fa45c964d8a9ef27160cd42b8c5",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.paymentMethodDomain().cascadePaymentMethodDomain("pmd_b8237fa45c964d8a9ef27160cd42b8c5");
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.payment_method_domain.cascade_payment_method_domain(domain_id: "pmd_b8237fa45c964d8a9ef27160cd42b8c5")

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.PaymentMethodDomain.CascadePaymentMethodDomainAsync(
            "pmd_b8237fa45c964d8a9ef27160cd42b8c5"
        );
    }

}

```

```go
package example

import (
    context "context"

    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    client.PaymentMethodDomain.CascadePaymentMethodDomain(
        context.TODO(),
        "pmd_b8237fa45c964d8a9ef27160cd42b8c5",
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->paymentMethodDomain->cascadePaymentMethodDomain(
    'pmd_b8237fa45c964d8a9ef27160cd42b8c5',
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/PaymentMethodDomain/pmd_b8237fa45c964d8a9ef27160cd42b8c5/cascade")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Stop accepting Google Pay

To stop accepting Google Pay from a domain, send a PATCH request to [/api/PaymentMethodDomain/\{domainId}](/developers/api-reference/paymentmethoddomain/paymentmethoddomain-update) and send `googlePay.isEnabled` as `false`.

### Request

PATCH [https://api-sandbox.payabli.com/api/PaymentMethodDomain/\{domainId}](https://api-sandbox.payabli.com/api/PaymentMethodDomain/\{domainId})

```curl
curl -X PATCH https://api-sandbox.payabli.com/api/PaymentMethodDomain/pmd_b8237fa45c964d8a9ef27160cd42b8c5 \
     -H "requestToken: <apiKey>" \
     -H "Content-Type: application/json" \
     -d '{
  "applePay": {
    "isEnabled": false
  },
  "googlePay": {
    "isEnabled": false
  }
}'
```

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.paymentMethodDomain.updatePaymentMethodDomain("pmd_b8237fa45c964d8a9ef27160cd42b8c5", {
        applePay: {
            isEnabled: false,
        },
        googlePay: {
            isEnabled: false,
        },
    });
}
main();

```

```python
from payabli import payabli, UpdatePaymentMethodDomainRequestWallet

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.payment_method_domain.update_payment_method_domain(
    domain_id="pmd_b8237fa45c964d8a9ef27160cd42b8c5",
    apple_pay=UpdatePaymentMethodDomainRequestWallet(
        is_enabled=False,
    ),
    google_pay=UpdatePaymentMethodDomainRequestWallet(
        is_enabled=False,
    ),
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.paymentmethoddomain.requests.UpdatePaymentMethodDomainRequest;
import io.github.payabli.api.types.UpdatePaymentMethodDomainRequestWallet;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.paymentMethodDomain().updatePaymentMethodDomain(
            "pmd_b8237fa45c964d8a9ef27160cd42b8c5",
            UpdatePaymentMethodDomainRequest
                .builder()
                .applePay(
                    UpdatePaymentMethodDomainRequestWallet
                        .builder()
                        .isEnabled(false)
                        .build()
                )
                .googlePay(
                    UpdatePaymentMethodDomainRequestWallet
                        .builder()
                        .isEnabled(false)
                        .build()
                )
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.payment_method_domain.update_payment_method_domain(
  domain_id: "pmd_b8237fa45c964d8a9ef27160cd42b8c5",
  apple_pay: {
    is_enabled: false
  },
  google_pay: {
    is_enabled: false
  }
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.PaymentMethodDomain.UpdatePaymentMethodDomainAsync(
            "pmd_b8237fa45c964d8a9ef27160cd42b8c5",
            new UpdatePaymentMethodDomainRequest {
                ApplePay = new UpdatePaymentMethodDomainRequestWallet {
                    IsEnabled = false
                },
                GooglePay = new UpdatePaymentMethodDomainRequestWallet {
                    IsEnabled = false
                }
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.UpdatePaymentMethodDomainRequest{
        ApplePay: &payabli.UpdatePaymentMethodDomainRequestWallet{
            IsEnabled: payabli.Bool(
                false,
            ),
        },
        GooglePay: &payabli.UpdatePaymentMethodDomainRequestWallet{
            IsEnabled: payabli.Bool(
                false,
            ),
        },
    }
    client.PaymentMethodDomain.UpdatePaymentMethodDomain(
        context.TODO(),
        "pmd_b8237fa45c964d8a9ef27160cd42b8c5",
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\PaymentMethodDomain\Requests\UpdatePaymentMethodDomainRequest;
use Payabli\Types\UpdatePaymentMethodDomainRequestWallet;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->paymentMethodDomain->updatePaymentMethodDomain(
    'pmd_b8237fa45c964d8a9ef27160cd42b8c5',
    new UpdatePaymentMethodDomainRequest([
        'applePay' => new UpdatePaymentMethodDomainRequestWallet([
            'isEnabled' => false,
        ]),
        'googlePay' => new UpdatePaymentMethodDomainRequestWallet([
            'isEnabled' => false,
        ]),
    ]),
);

```

```swift
import Foundation

let headers = [
  "requestToken": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "applePay": ["isEnabled": false],
  "googlePay": ["isEnabled": false]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/PaymentMethodDomain/pmd_b8237fa45c964d8a9ef27160cd42b8c5")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

You can't deactivate an inherited domain. You must deactivate domains at the domain owner organization's level.

### Start accepting Google Pay

To start accepting Google Pay on a domain, send a POST request to [/api/PaymentMethodDomain/\{domainId}/verify](/developers/api-reference/paymentmethoddomain/paymentmethoddomain-verify) to verify the domain. If verification succeeds, Google Pay is activated automatically for the domain.

You can't verify an inherited domain. You must verify domains at the domain owner organization's level.

### View domain details

To view a domain's details, send a GET request to [/api/PaymentMethodDomain/\{domainId}](/developers/api-reference/paymentmethoddomain/paymentmethoddomain-get) retrieve a domain's details. The response includes `cascades.jobStatus`, which gives the status of the domain cascade process.

### Delete domain

You can remove a domain from an organization by sending a DELETE request to the [/PaymentMethodDomain/\{domainId}](/developers/api-reference/paymentmethoddomain/paymentmethoddomain-delete) endpoint.

### Request

DELETE [https://api-sandbox.payabli.com/api/PaymentMethodDomain/\{domainId}](https://api-sandbox.payabli.com/api/PaymentMethodDomain/\{domainId})

```curl
curl -X DELETE https://api-sandbox.payabli.com/api/PaymentMethodDomain/pmd_b8237fa45c964d8a9ef27160cd42b8c5 \
     -H "requestToken: <apiKey>"
```

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.paymentMethodDomain.deletePaymentMethodDomain("pmd_b8237fa45c964d8a9ef27160cd42b8c5");
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.payment_method_domain.delete_payment_method_domain(
    domain_id="pmd_b8237fa45c964d8a9ef27160cd42b8c5",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.paymentMethodDomain().deletePaymentMethodDomain("pmd_b8237fa45c964d8a9ef27160cd42b8c5");
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.payment_method_domain.delete_payment_method_domain(domain_id: "pmd_b8237fa45c964d8a9ef27160cd42b8c5")

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.PaymentMethodDomain.DeletePaymentMethodDomainAsync(
            "pmd_b8237fa45c964d8a9ef27160cd42b8c5"
        );
    }

}

```

```go
package example

import (
    context "context"

    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    client.PaymentMethodDomain.DeletePaymentMethodDomain(
        context.TODO(),
        "pmd_b8237fa45c964d8a9ef27160cd42b8c5",
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->paymentMethodDomain->deletePaymentMethodDomain(
    'pmd_b8237fa45c964d8a9ef27160cd42b8c5',
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/PaymentMethodDomain/pmd_b8237fa45c964d8a9ef27160cd42b8c5")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

You can't delete an inherited domain. You must delete a domain at the owning organization's level.

### Get list of domains

To get a list of domains associated with an entity, send a GET request to the [/PaymentMethodDomain/list](/developers/api-reference/paymentmethoddomain/get-list-of-payment-method-domains) endpoint.

### Request

GET [https://api-sandbox.payabli.com/api/PaymentMethodDomain/list](https://api-sandbox.payabli.com/api/PaymentMethodDomain/list)

```curl PaypointDomains
curl -G https://api-sandbox.payabli.com/api/PaymentMethodDomain/list \
     -H "requestToken: <apiKey>" \
     -d entityId=1147 \
     -d entityType=paypoint
```

```typescript PaypointDomains
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.paymentMethodDomain.listPaymentMethodDomains({
        entityId: 1147,
        entityType: "paypoint",
    });
}
main();

```

```python PaypointDomains
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.payment_method_domain.list_payment_method_domains(
    entity_id=1147,
    entity_type="paypoint",
)

```

```java PaypointDomains
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.paymentmethoddomain.requests.ListPaymentMethodDomainsRequest;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.paymentMethodDomain().listPaymentMethodDomains(
            ListPaymentMethodDomainsRequest
                .builder()
                .entityId(1147L)
                .entityType("paypoint")
                .build()
        );
    }
}
```

```ruby PaypointDomains
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.payment_method_domain.list_payment_method_domains(
  entity_id: 1147,
  entity_type: "paypoint"
)

```

```csharp PaypointDomains
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.PaymentMethodDomain.ListPaymentMethodDomainsAsync(
            new ListPaymentMethodDomainsRequest {
                EntityId = 1147L,
                EntityType = "paypoint"
            }
        );
    }

}

```

```go PaypointDomains
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ListPaymentMethodDomainsRequest{
        EntityId: payabli.Int64(
            int64(1147),
        ),
        EntityType: payabli.String(
            "paypoint",
        ),
    }
    client.PaymentMethodDomain.ListPaymentMethodDomains(
        context.TODO(),
        request,
    )
}

```

```php PaypointDomains
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\PaymentMethodDomain\Requests\ListPaymentMethodDomainsRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->paymentMethodDomain->listPaymentMethodDomains(
    new ListPaymentMethodDomainsRequest([
        'entityId' => 1147,
        'entityType' => 'paypoint',
    ]),
);

```

```swift PaypointDomains
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/PaymentMethodDomain/list?entityId=1147&entityType=paypoint")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

* Send `entityType` as `organization` and the organization ID in `entityId` to get the details for the organization.
* Send `entityType` as `paypoint` and the paypoint's ID in `entityId` to get the details for the paypoint.

## Google Pay service management

You can activate and deactivate the Google Pay service for an organization and cascade the settings to all of the organization's children (including suborganizations and paypoints).

### Activate Google Pay

To activate Google Pay via the API, see [Activate Google Pay (API)](/guides/pay-in-developer-wallets-google-pay-enable).

### Deactivate Google Pay

To deactivate the Google Pay service, make a POST request to the [/Wallet/googlepay/configure-organization](/developers/api-reference/wallet/googlepay/googlepay-configure-organization).

In the body, send `isEnabled` as `false` and `cascade` as `true` to deactivate Google Pay on the organization and cascade the deactivation to all of the organization's children.

```bash Example deactivation request {7-8}
  curl -X POST https://api-sandbox.payabli.com/api/Wallet/googlepay/configure-organization \
    -H 'Content-Type: application/json' \
    -H 'requestToken: <API TOKEN>' \
    -d '{
        "orgId": 123,
        "isEnabled": false,
        "cascade": true
    }'
```

After you've sent the deactivation request, Payabli deactivates the service and cascades the settings, if applicable. This can take a few minutes, depending on how your entities are structured.

To check whether Google Pay is deactivated, send a GET request to [/api/Organization/settings/\{orgId}](/developers/api-reference/organization/get-organization-settings). Check the response for `forWallets`, when Google Pay isn't active, you can see the following in the response:

```json
 "forWallets": [
    {
      "key": "IsGooglePayEnabled",
      "value": "false",
      "readOnly": true
    }
  ]
```

## Related resources

See these related resources to help you get the most out of Payabli.

* **[Google Pay™ overview](/guides/pay-in-wallets-google-pay-overview)** - Learn about using Google Pay with Payabli
* **[Activate Google Pay™ (API)](/guides/pay-in-developer-wallets-google-pay-enable)** - Learn about setting up Google Pay via the Payabli API